package com.ffii.core.user.dao;

import java.util.Optional;

import com.ffii.core.support.AbstractDao;
import com.ffii.core.user.entity.User;

/** @author Fung */
public interface UserDao extends AbstractDao<User, Integer> {
  public Optional<User> findByIdAndDeletedFalse(int id);

  public Optional<User> findByUsernameAndDeletedFalse(String username);
}
